Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class AndInfo

    java.lang.Object
      jet.api.AndInfo

    public class AndInfo

extends java.lang.Object

class AndInfo wraps all And command related infos

Constructor Summary
`AndInfo()` constructor.Creates a where condition
`AndInfo(java.lang.String sLogic, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2)` constructor an object with specific content

Method Summary
`boolean` | `equals(java.lang.Object obj)` compare the object
`java.lang.String` | `getExpression1()` return the first expression value
`java.lang.String` | `getExpression2()` return another expression value
`java.lang.String` | `getLogic()` return the logic value
`java.lang.String` | `getOperator()` return the operator value
`void` | `setExpression1(java.lang.String sExpression1)` set first expression value
`void` | `setExpression2(java.lang.String sExpression2)` set another expression value
`void` | `setLogic(java.lang.String sLogic)` set the logic value
`void` | `setOperator(java.lang.String sOperator)` set operator value

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AndInfo

    public AndInfo()

  constructor.Creates a where condition

### AndInfo

    public AndInfo(java.lang.String sLogic,
                   java.lang.String sExpression1,
                   java.lang.String sOperator,
                   java.lang.String sExpression2)

  constructor an object with specific content

  Parameters:
    `sLogic` - logic value
    `sExpression1` - first expression value
    `sOperator` - operator value
    `sExpression2` - second expression value

Method Detail

### getLogic

    public java.lang.String getLogic()

  return the logic value

  Returns:
    logic value

### getExpression1

    public java.lang.String getExpression1()

  return the first expression value

  Returns:
    first expression value

### getOperator

    public java.lang.String getOperator()

  return the operator value

  Returns:
    operator value

### getExpression2

    public java.lang.String getExpression2()

  return another expression value

  Returns:
    another expression value

### setLogic

    public void setLogic(java.lang.String sLogic)

  set the logic value

  Parameters:
    `sLogic` - value

### setExpression1

    public void setExpression1(java.lang.String sExpression1)

  set first expression value

  Parameters:
    `sExpression1` - first expression value

### setOperator

    public void setOperator(java.lang.String sOperator)

  set operator value

  Parameters:
    `sOperator` - operator value

### setExpression2

    public void setExpression2(java.lang.String sExpression2)

  set another expression value

  Parameters:
    `sExpression2` - second expression value

### equals

    public boolean equals(java.lang.Object obj)

  compare the object

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    if the given object is equal to this one, return true, otherwise, return false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD